# ParseGoogle

This script makes Google query, parses search results and renders it with web interface. It demonstrates various techniques which are available in web interface:

* Calling BAS functions from web interface.
* Creating threads from web interface.
* Handling errors.
* Using external libraries: Semantic UI, Vue.js
* Working with files.
* Rendering lists.
* Changing window size.

See how final result may look like:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=userinterface_2019-08-23_12-02-56.png ':size=300')
</p>



## Obtain script

Compiled application ([download](https://bablosoft.com/distr/ParseGoogleDistr/ParseGoogle.zip)).

BAS project ([download](https://bablosoft.com/distr/ParseGoogleDistr/ParseGoogle.xml)).

Web interface source ([download](https://bablosoft.com/distr/ParseGoogleDistr/ParseGoogle.main.interface.txt)).

You can also check process of its creation from script on following [video](https://www.youtube.com/watch?v=SOu0uBhNewE) (Russian language).