# Interacting with global variables

Global variables can be used to interact with BAS main script. With help of global variables you can update settings during script execution, execute BAS functions and get results, send data from script to interface and vice versa.


## Method _GetGlobalVariable_

```javascript
Api.GetGlobalVariable(GlobalVariableName).then(function(GlobalVariableValue){
   //Code
})
```

Gets global variable. This method returns Promise, you need to use _then_ keyword to obtain result.

## Method _SetGlobalVariable_

```javascript
Api.SetGlobalVariable(GlobalVariableName,GlobalVariableValue)
```

Sets global variable. This method returns Promise, you need to use _then_ keyword to wait until it succeeded.


