# Interacting with scheduler

BAS scheduler is application, which helps you to manage BAS scripts and start it with specified parameters at specified time. Scheduler application may or may not be installed on your PC. By default, it gets installed when running scheduler for a first time. If you are just running BAS application or script created with BAS, scheduler won't be installed. If you are planning to use scheduler from web interface, you need to ensure, that it is installed. One of following two methods will help you to do that.


## Method _InstallScheduler_

```javascript
Api.InstallScheduler()
```

This method will start installing scheduler if it is not installed already. You may want to call it explicitly when it is planned to use scheduler from web interface in your application. It is important to understand, that after InstallScheduler is finished, it is not guaranteed that scheduler is installed immediately, sometimes it may get some time. 


## Method _ShowScheduler_

```javascript
Api.ShowScheduler()
```

This method will install scheduler, if it is not done already and open scheduler window. It may take some time before window gets open. This method can be useful if you are planning to let user schedule script manually.



# Using scheduler API

Scheduler API helps you to start/edit/delete tasks, it also can obtain list of task. Everything, that user can do in scheduler window can be accomplished with this API. Right now there is no documentation for scheduler API. However, you can discover endpoints, methods and parameters by inspecting network connection tab of Chrome developer tools. Here is how it can done:

1) Open following link in Chrome browser file:///C:/Users/%USERNAME%/AppData/Local/TaskScheduler/%SCHEDULER_VERSION%/gui/html/index.html. Replace %USERNAME% with your Windows user name and %SCHEDULER_VERSION% with current scheduler version. All available scheduler versions may be found by inspecting TaskScheduler folder.

2) Open developer tools by pressing F12.

3) Manually do actions that you want make with API. For example, if you want to get endpoint for deleting task, delete any task manually, and inspect, which request was sent by scheduler.

<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=chrome_2020-01-27_16-44-45.png ':size=300')
</p>


