# Quick start


Custom interface is stored in a cloud. Data is stored online because doing so will deliver changes instantly to every user. To start working with custom interface you need to visit [interface page](https://bablosoft.com/bas/interface). Then select script to edit interface like this:

<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=selectscripttochangeinterface.png ':size=300')
</p>


Enable web interface with following link:

<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=enablewebinterface.png ':size=300')
</p>

Now you have a web interface connected to your script. Note, that you don't need to create interface from scratch. Functional and well looking interface is already generated for you. Later we will change it, but right now lets try to test it and see how it works.

To launch your new interface hit _Record_ button and then input your username and password:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=launchwebinterface.gif ':size=300')
</p>


If you don't see _Web interface_ window, then it is probably because your script name inside project doesn't match script name on server. To fix this, hit compile button(Menu -> Build -> Compile), change the script name and compile.

New window with custom interface uses real values, the resources, that you enter there is processed by BAS as real one, it also displays real log and real script statistic. You can now trace your script or run actions one by one, to see how user interface will respond.

Web page for custom interface contains several settings which are worth mentioning: availability of interface to you only or to all users, debugging interface with browser developer tools, if interface must be started in real or in embedded browser. Check this page for more information:

<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=webinterfaceeditor.png ':size=300')
</p>
