# Using global variables to call BAS function.

More complex way to interact with script would be to call BAS function from custom interface. One possible way to accomplish this is to create a global variable, which will hold a function name to run next. Lets call that variable FUNCTION_TO_RUN. That variable could be set from user interface, for example, with button click. BAS script will contain loop which constantly checks that global variable, if it is set, corresponding function is called.


BAS script will hold infinite loop which checks FUNCTION_TO_RUN variable:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=callfunctionbasscript.png ':size=300')
</p>

You can download project [here](https://bablosoft.com/uploads/CallFunctionFromUI.xml).

We will take simple user interface from previous result as a foundation and replace _number of clicks_ element with 3 buttons: _Call function A_, _Call function B_, _Call function C_:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=callfunctionfromuisimple.png ':size=300')
</p>


Of course, you need to set buttons click handlers, so that they will change global variables:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=buttonhandlers.png ':size=300')
</p>

You can download custom interface [here](https://bablosoft.com/uploads/CallFunctionFromUI.main.interface.txt).

Final result will look like this:


<p align="center">
![](//wiki.bablosoft.com/lib/exe/fetch.php?cache=&media=callfunctionfromuserinterface.gif ':size=300')
</p>


Even more complex example would to obtain result of that function from another global variable.



